Project

General

Profile

Question #1311

Installation problems

Added by Alexander Watzinger 3 months ago. Updated 5 days ago.

Status:
Closed
Priority:
Low
Target version:
Start date:
2020-07-25
Estimated time:

Description

I know that at the moment it's about the basic infrastructure and a work in progress but I tried it out and wanted to give some feedback and have a question about installing.

I got it running using the README on http://localhost:3000/, Chromium was working fine, Firefox showed the layout but in the main area reported "An error occurred" which may have to do with my strong security settings and I noticed that there is a lot loading from other domains going on there.

However, I than tried the production install and run into problems at

npm run start

Not sure if this is just on my system and so I created a question issue instead of a bug issue. See output below

npm WARN npm npm does not support Node.js v10.21.0
npm WARN npm You should probably upgrade to a newer version of node as we
npm WARN npm can't make any promises that npm will work with this version.
npm WARN npm Supported releases of Node.js are the latest release of 4, 6, 7, 8, 9.
npm WARN npm You can find the latest version at https://nodejs.org/

> OpenAtlasDiscovery@1.0.0 start /home/alex/projects/www/openatlas_frontend
> nuxt-ts start

 FATAL  You cannot use nuxt start with static target, please use nuxt export and nuxt serve                                                                                                              13:41:52

  at Object.run (node_modules/@nuxt/cli/dist/cli-start.js:38:13)
  at process._tickCallback (internal/process/next_tick.js:68:7)
  at Function.Module.runMain (internal/modules/cjs/loader.js:834:11)
  at startup (internal/bootstrap/node.js:283:19)
  at bootstrapNodeJSCore (internal/bootstrap/node.js:623:3)

   ╭──────────────────────────────────────────────────────────────────────────────────────────────────────╮
   │                                                                                                      │
   │   ✖ Nuxt Fatal Error                                                                                 │
   │                                                                                                      │
   │   Error: You cannot use `nuxt start` with static target, please use `nuxt export` and `nuxt serve`   │
   │                                                                                                      │
   ╰──────────────────────────────────────────────────────────────────────────────────────────────────────╯

History

#1

Updated by Christoph Hoffmann 3 months ago

Hi, this is a lack of documentation on my part. The underlying deployment tool (nuxt) has two ways to serve the resulting app, of wich I have only set up one (https://nuxtjs.org/guide/#static-generated-pre-rendering-) I will need to append the current documentation and package.json accordingly

#2

Updated by Alexander Watzinger 5 days ago

  • Status changed from Assigned to Closed

Thank you for getting this to work and showing me very patiently at last development session ;)
Closing ticket.

Also available in: Atom PDF